Package Details: beersmith2 2.3.12-1

Git Clone URL: https://aur.archlinux.org/beersmith2.git (read-only)
Package Base: beersmith2
Description: BeerSmith features graphical recipe design, over a dozen standalone brewing tools, a beer style guide, inventory management, calendar and integrated shopping list.
Upstream URL: http://www.beersmith.com
Licenses: unknown
Submitter: MacDaddy
Maintainer: MacDaddy
Last Packager: MacDaddy
Votes: 2
Popularity: 0.000150
First Submitted: 2016-05-11 03:43
Last Updated: 2017-04-18 19:32

Latest Comments

Murri commented on 2017-12-11 19:48

Same error from @Palanthis.

I installed webkitgtk2 and now the program works well.

Scimmia commented on 2017-12-01 05:32

MacDaddy, the deps here are completely and totally wrong. Update them:

cairo
gcc-libs
gdk-pixbuf2
glib2
glibc
gtk2
libsm
libx11
libxxf86vm
libpng12
pango
webkitgtk2
zlib

Scimmia commented on 2017-12-01 05:30

Or you guys could rebuild your AUR packages after an soname bump like you're supposed to instead of littering your filesystem with untracked files. Good luck with that.

apterix commented on 2017-11-26 15:11

Same error from @cadilhac

What I did?
cp /var/cache/pacman/pkg/icu-59.1-2-x86_64.pkg.tar.xz /tmp/
cd /tmp/usr/lib/
rsync -aHx --numeric-ids libicui18n.so.59 libicui18n.so.59.1 libicuuc.so.59 libicuuc.so.59.1 libicudata.so.59 libicudata.so.59.1 /usr/lib/

now it's working.

cadilhac commented on 2017-11-26 12:00

icu has been updated, and the dependency is broken:

beersmith2: error while loading shared libraries: libicui18n.so.59: cannot open shared object file: No such file or directory

Locally unpacking icu-59 to a temp directory and launching beersmith2 from the /lib/ dir temporarily solves the problem.

Palanthis commented on 2017-11-12 21:05

11/12/2017 - Not pulling in an apparent dependency.

beersmith2: error while loading shared libraries: libwebkitgtk-1.0.so.0: cannot open shared object file: No such file or directory

Checked repos and AUR - Can't find this one?

Thanks!

MacDaddy commented on 2017-04-18 19:34

Updated dependancies for 2.3.12.

MacDaddy commented on 2017-04-13 01:32

Now updated to 2.3.12.

MacDaddy commented on 2017-04-12 21:00

I'll have an update for 2.3.12 in a day or two.

turkeyman commented on 2017-04-12 01:31

2.3.12 is available. It improves HiDPI support, which is super important!
Can has update?

All comments